Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPropPicker Class Reference

`#include <vtkPropPicker.h>`

Inheritance diagram for vtkPropPicker:

[legend]
Collaboration diagram for vtkPropPicker:

[legend]
List of all members.

## Detailed Description

pick an actor/prop using graphics hardware

Date:
  2002/01/22 15:39:10

Revision:
  1.19

vtkPropPicker is used to pick an actor/prop given a selection point (in display coordinates) and a renderer. This class uses graphics hardware/rendering system to pick rapidly (as compared to using ray casting as does vtkCellPicker and vtkPointPicker). This class determines the actor/prop and pick position in world coordinates; point and cell ids are not determined.

See also:
  vtkPicker vtkWorldPointPicker vtkCellPicker vtkPointPicker

Events:
  vtkCommand::EndPickEvent vtkCommand::PickEvent vtkCommand::StartPickEvent

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (56%)
  - Schroeder, Will (31%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkPropPicker.cxx)`
  - .`h` (`/Rendering/vtkPropPicker.h)`

Tests:
  vtkPropPicker (Tests)

Definition at line 58 of file vtkPropPicker.h.

## Public Types
typedef vtkAbstractPropPicker | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | PickProp (float selectionX, float selectionY, vtkRenderer *renderer)
int | PickProp (float selectionX, float selectionY, vtkRenderer *renderer, vtkPropCollection *pickfrom)
int | Pick (float selectionX, float selectionY, float selectionZ, vtkRenderer *renderer)
int | Pick (float selectionPt[3], vtkRenderer *renderer)
## Static Public Methods
vtkPropPicker * | New ()
int | IsTypeOf (const char *type)
vtkPropPicker * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPropPicker ()
| ~vtkPropPicker ()
void | Initialize ()
## Protected Attributes
vtkPropCollection * | PickFromProps
vtkWorldPointPicker * | WorldPointPicker

## Member Typedef Documentation

typedef vtkAbstractPropPicker vtkPropPicker::Superclass

| Reimplemented from vtkAbstractPropPicker. Definition at line 63 of file vtkPropPicker.h.

## Constructor & Destructor Documentation

vtkPropPicker::vtkPropPicker | ( |  | ) | `[protected]`

vtkPropPicker::~vtkPropPicker | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPropPicker* vtkPropPicker::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPropPicker::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkAbstractPropPicker.

int vtkPropPicker::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractPropPicker.

virtual int vtkPropPicker::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractPropPicker.

vtkPropPicker* vtkPropPicker::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkAbstractPropPicker.

void vtkPropPicker::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkAbstractPropPicker.

int vtkPropPicker::PickProp | ( | float | selectionX,
|  | float | selectionY,
|  | vtkRenderer * | renderer
| ) |

| Perform the pick and set the PickedProp ivar. If something is picked, a 1 is returned, otherwise 0 is returned. Use the GetProp() method to get the instance of vtkProp that was picked. Props are picked from the renderers list of pickable Props.

int vtkPropPicker::PickProp | ( | float | selectionX,
|  | float | selectionY,
|  | vtkRenderer * | renderer,
|  | vtkPropCollection * | pickfrom
| ) |

| Perform a pick from the user-provided list of vtkProps and not from the list of vtkProps that the render maintains.

int vtkPropPicker::Pick | ( | float | selectionX,
|  | float | selectionY,
|  | float | selectionZ,
|  | vtkRenderer * | renderer
| ) | `[virtual]`

| Overide superclasses' Pick() method. Implements vtkAbstractPicker.

int vtkPropPicker::Pick | ( | float | selectionPt[3],
|  | vtkRenderer * | renderer
| ) | `[inline]`

| Overide superclasses' Pick() method. Reimplemented from vtkAbstractPicker. Definition at line 83 of file vtkPropPicker.h. References vtkAbstractPicker::Pick().

void vtkPropPicker::Initialize | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkAbstractPropPicker.

## Member Data Documentation

vtkPropCollection* vtkPropPicker::PickFromProps`[protected]`

| Definition at line 94 of file vtkPropPicker.h.

vtkWorldPointPicker* vtkPropPicker::WorldPointPicker`[protected]`

| Definition at line 97 of file vtkPropPicker.h.

The documentation for this class was generated from the following file:

- Rendering/vtkPropPicker.h